StaffArchive a staff member

Archive a staff member

Needs: Staff, Read-write

Archives the staff member by setting their status to Archived. The record is not removed.

curl -X DELETE "https://app.imploy.com.au/api/integrations/v1/staff/123" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "data": {
    "id": 31,
    "first_name": "Example",
    "last_name": "Worker",
    "email": "example.worker@example.com",
    "phone": "0400 000 000",
    "status": "Archived",
    "created_at": "2026-01-12T03:20:41.000000Z",
    "updated_at": "2026-02-03T08:05:10.000000Z"
  }
}
DELETE
/staff/{id}
DELETE
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
path
idinteger
Required

The staff member's user id.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

Path Parameters

idinteger
Required

The staff member's user id.

Responses

OK